commit: 6e8a940b27a7e9203205e7c70677025b7b6d4002
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 15 03:55:07 2017 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Sun Oct 15 03:55:07 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e8a940b
dev-perl/Bio-Das: Add tests/fencing
- EAPI6
- Test for offline use
- Document network testing options
Package-Manager: Portage-2.3.8, Repoman-2.3.3
dev-perl/Bio-Das/Bio-Das-1.170.0-r2.ebuild | 73 ++++++++++++++++++++++++++++++
1 file changed, 73 insertions(+)
diff --git a/dev-perl/Bio-Das/Bio-Das-1.170.0-r2.ebuild
b/dev-perl/Bio-Das/Bio-Das-1.170.0-r2.ebuild
new file mode 100644
index 00000000000..9637c477fa2
--- /dev/null
+++ b/dev-perl/Bio-Das/Bio-Das-1.170.0-r2.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=LDS
+DIST_VERSION=1.17
+inherit perl-module
+
+DESCRIPTION="Interface to Distributed Annotation System"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=">=virtual/perl-IO-Compress-1.0
+ sci-biology/bioperl
+ >=dev-perl/HTML-Parser-3
+ >=dev-perl/libwww-perl-5
+ >=virtual/perl-MIME-Base64-2.12"
+RDEPEND="${DEPEND}"
+
+src_test() {
+ local MODULES=(
+ "Bio::Das ${DIST_VERSION}"
+ "Bio::Das::AGPServer::Config 1.0"
+ "Bio::Das::AGPServer::Daemon"
+ "Bio::Das::AGPServer::Parser"
+ "Bio::Das::AGPServer::SQLStorage"
+ "Bio::Das::AGPServer::SQLStorage::CSV::DB"
+ "Bio::Das::AGPServer::SQLStorage::MySQL::DB"
+ "Bio::Das::DSN"
+ "Bio::Das::Feature 0.91"
+ "Bio::Das::FeatureIterator 0.01"
+ "Bio::Das::HTTP::Fetch 1.11"
+ "Bio::Das::Map 1.01"
+ "Bio::Das::Request"
+ "Bio::Das::Request::Dnas"
+ "Bio::Das::Request::Dsn"
+ "Bio::Das::Request::Entry_points"
+ "Bio::Das::Request::Feature2Segments"
+ "Bio::Das::Request::Features"
+ "Bio::Das::Request::Sequences"
+ "Bio::Das::Request::Stylesheet"
+ "Bio::Das::Request::Types"
+ "Bio::Das::Segment 0.91"
+ "Bio::Das::Stylesheet 1.00"
+ "Bio::Das::Type"
+ "Bio::Das::TypeHandler"
+ "Bio::Das::Util 0.01"
+ )
+ local failed=()
+ for dep in "${MODULES[@]}"; do
+ ebegin "Compile testing ${dep}"
+ perl -Mblib="${S}" -M"${dep} ()" -e1
+ eend $? || failed+=( "$dep" )
+ done
+ if [[ ${failed[@]} ]]; then
+ echo
+ eerror "One or more modules failed compile:";
+ for dep in "${failed[@]}"; do
+ eerror " ${dep}"
+ done
+ die "Failing due to module compilation errors";
+ fi
+ if has "network" ${DIST_TEST_OVERRIDE:-${DIST_TEST:-do parallel}}; then
+ perl-module_src_test
+ else
+ ewarn "Functional parts of these tests require network access"
+ ewarn "For details, see:"
+ ewarn
"https://wiki.gentoo.org/wiki/Project:Perl/maint-notes/dev-perl/Bio-Das"
+ fi
+}